package org.kne.cloud.network;

import java.io.DataInputStream;
import java.io.IOException;
import java.io.InputStream;

public class HTTPSDetectorItem implements ProtocolDetectorItem {

	@Override
	public Protocol apply(InputStream t) {
		try {
			if(new DataInputStream(t).readShort()==5635)
				return new Protocol("HTTPS");
		} catch (IOException e) {
		}
		return null;
	}

}
